function battle_bai008(npcID)--炎舞
	
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	f=flag.GetBattleValue(16000)--战场火焰旗标
	local n=flag.GetBattleValue(16001)
	n=n+1
	flag.SetBattleValue(16001,n)
	
	if battle.CheckNpcStat(npcID,10)==1 then
		x=120
	else
		x=100
	end
	
	--非攻击性行为
	local a=battle.GetRndNumber(1,4)
	if a==1 then
		if battle.CheckNpcStat(npcID,10)==0 then
			battle.MagicToNpc(npcID,201,1)
		else 
			local id = battle.GetRndPlayer()
			battle.SetSkillScale(x)
			battle.MagicToPlayer(id,202,1)
		end
	--攻击性行为
	else
		battle.SetSkillScale(x)
		local b=battle.GetRndNumber(1,6)
		if b<=3 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,202,1)
			
			
			if sg==0 then   --战斗对话提示
				flag.SetBattleValue(16222,1)
			elseif sg==1 then
				global.WaitForBattleSEEnd(2151)
				flag.SetBattleValue(16222,2)
				local zid=battle.GetRndPlayer()
				if zid==1 then
					uid=522
				elseif zid==2 then
					uid=183
				elseif zid==4 then
						uid=127
				elseif zid==8 then
					uid=166	
				elseif zid==256 then
					uid=624
				elseif zid==512 then
					uid=565	
				end
				
				ui.Dialog(86967,uid,0,0,zid,0)--它每次攻击都会使周围变得炎热，我们试着用水系仙术降低周围温度……
				
				zid=battle.GetRndPlayer()
				if zid==1 then
					uid=522
				elseif zid==2 then
					uid=183
				elseif zid==4 then
						uid=127
				elseif zid==8 then
					uid=166	
				elseif zid==256 then
					uid=624
				elseif zid==512 then
					uid=565	
				end
				
				ui.Dialog(86968,uid,0,0,zid,0)--但是在这种环境下使用水系仙术我们的消耗也会很大，注意使用时机……
			end
		elseif b==4 or b==5 then
			battle.MagicToPlayer(0,203,0)
			
			if sg==0 then   --战斗对话提示
				flag.SetBattleValue(16222,1)
			elseif sg==1 then
				global.WaitForBattleSEEnd(403)
				flag.SetBattleValue(16222,2)
				local zid=battle.GetRndPlayer()
				if zid==1 then
					uid=522
				elseif zid==2 then
					uid=183
				elseif zid==4 then
						uid=127
				elseif zid==8 then
					uid=166	
				elseif zid==256 then
					uid=624
				elseif zid==512 then
					uid=565	
				end
				
				ui.Dialog(86969,uid,0,0,zid,0)--它每次攻击都会使周围变得炎热，我们试着用水系仙术降低周围温度……
				
				zid=battle.GetRndPlayer()
				if zid==1 then
					uid=522
				elseif zid==2 then
					uid=183
				elseif zid==4 then
						uid=127
				elseif zid==8 then
					uid=166	
				elseif zid==256 then
					uid=624
				elseif zid==512 then
					uid=565	
				end
				
				ui.Dialog(86970,uid,0,0,zid,0)--但是在这种环境下使用水系仙术我们的消耗也会很大，注意使用时机……
			end
		else
			battle.MagicToPlayer(0,204,0)
			
			if sg==0 then   --战斗对话提示
				flag.SetBattleValue(16222,1)
			elseif sg==1 then
				global.WaitForBattleSEEnd(501)
				flag.SetBattleValue(16222,2)
				local zid=battle.GetRndPlayer()
				if zid==1 then
					uid=522
				elseif zid==2 then
					uid=183
				elseif zid==4 then
						uid=127
				elseif zid==8 then
					uid=166	
				elseif zid==256 then
					uid=624
				elseif zid==512 then
					uid=565	
				end
				
				ui.Dialog(86971,uid,0,0,zid,0)--它每次攻击都会使周围变得炎热，我们试着用水系仙术降低周围温度……
				
				zid=battle.GetRndPlayer()
				if zid==1 then
					uid=522
				elseif zid==2 then
					uid=183
				elseif zid==4 then
						uid=127
				elseif zid==8 then
					uid=166	
				elseif zid==256 then
					uid=624
				elseif zid==512 then
					uid=565	
				end
				
				ui.Dialog(86972,uid,0,0,zid,0)--但是在这种环境下使用水系仙术我们的消耗也会很大，注意使用时机……
			end
		end

	end
end